Loading...
Searching...
No Matches
MyTreeView Class Reference

`#include <gx_preset_window.h>`

Inheritance diagram for MyTreeView:

## Public Member Functions

sigc::signal< void()> & | signal_row_clicked ()
| like Gtk::TreeSelection::signal_changed, but is also emitted when the selection didn't change

## Static Public Member Functions

static MyTreeView * | create_from_builder (BaseObjectType *cobject)

## Private Member Functions

| MyTreeView (BaseObjectType *cobject)
virtual bool | on_button_press_event (GdkEventButton *button_event)

## Private Attributes

sigc::signal< void()> | m_signal_row_clicked

## Detailed Description

Definition at line 60 of file gx_preset_window.h.

## Constructor & Destructor Documentation

## MyTreeView()

MyTreeView::MyTreeView | ( | BaseObjectType * | cobject | ) |

inline private

Definition at line 62 of file gx_preset_window.h.

Referenced by create_from_builder().

## Member Function Documentation

## create_from_builder()

MyTreeView * MyTreeView::create_from_builder | ( | BaseObjectType * | cobject | ) |

inline static

Definition at line 66 of file gx_preset_window.h.

## on_button_press_event()

virtual bool MyTreeView::on_button_press_event | ( | GdkEventButton * | button_event | ) |

private virtual

## signal_row_clicked()

sigc::signal< void()> & MyTreeView::signal_row_clicked | ( |  | ) |

inline

like Gtk::TreeSelection::signal_changed, but is also emitted when the selection didn't change

Definition at line 70 of file gx_preset_window.h.

## Member Data Documentation

## m_signal_row_clicked

sigc::signal<void()> MyTreeView::m_signal_row_clicked

private

Definition at line 63 of file gx_preset_window.h.

Referenced by signal_row_clicked().

The documentation for this class was generated from the following file:

- src/headers/gx_preset_window.h